python-werkzeug (3.1.5-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * [17e6015] New upstream version 3.1.5
  * [e50c5a8] d/control: Bump Standars-Versions to 4.7.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jan 2026 13:53:33 +0200

python-werkzeug (3.1.4-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Detiste ]
  * [f223c7d] stop suggesting python3-pkg-resources

  [ Carsten Schoenert ]
  * [a953ff4] d/watch: Convert to version 5
  * [12ed7e5] New upstream version 3.1.4
  * [f715303] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [e7b60d7] d/control: Bump Standars-Versions to 4.7.2
    No further modifications needed.
  * [f0505f3] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Dec 2025 09:24:51 +0200

python-werkzeug (3.1.3-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
    Fixes CVE-2024-49767

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 25 Nov 2024 17:32:31 +0100

python-werkzeug (3.1.3-1) experimental; urgency=medium

  * Team upload
  * [a3a30e6] d/control: Sort the binary packages alphabetical
  * [f09c7a3] New upstream version 3.1.3
    Fixes CVE-2024-49767
    (Closes: #1086062)
  * [8afd1df] Rebuild patch queue from patch-queue branch
    Dropped patch (included upstream):
    tests-Preserve-any-existing-PYTHONPATH-in-tests.patch
  * [edf459d] d/rules: Add variable PYBUILD_TEST_ARGS
    We need to ignore some tests at build time now.
  * [1346e45] d/rules: Drop -D option from SPHINXOPTS
  * [804f129] d/control: python3-werkzeug - Drop dep on jibjs-jquery
    (Closes: #1065427)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Nov 2024 08:50:18 +0100

python-werkzeug (3.0.4-1) unstable; urgency=medium

  * Team upload
  * [85ea57f] New upstream version 3.0.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Aug 2024 17:44:25 +0200

python-werkzeug (3.0.3-1) unstable; urgency=medium

  * Team upload
  * [32a577e] New upstream version 3.0.3
    Fixes CVE-2024-34069
    (Closes: #1070711)
  * [9f49688] Rebuild patch queue drom patch-queue branch
    Adjusted patch:
    docs-Use-intersphix-with-Debian-packages.patch
  * [98b2263] d/copyright: Update year data
  * [730be75] d/control: Drop python3-sphinx-issues from B-D
  * [a4bd5f5] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 May 2024 12:58:49 +0200

python-werkzeug (3.0.2-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * [44b776b] Remove myself from Uploaders.

  [ Carsten Schoenert ]
  * [ae61a23] New upstream version 3.0.2
  * [f5bd2de] Rebuild patch queue drom patch-queue branch
    Dropped patch:
    Fix-test-failure-with-Pytest-8.0.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Mar 2024 19:43:39 +0100

python-werkzeug (3.0.1-3) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue drom patch-queue branch
    Added patch:
    Fix-test-failure-with-Pytest-8.0.patch
    (Closes: 1063983)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Feb 2024 08:29:01 +0100

python-werkzeug (3.0.1-2) unstable; urgency=medium

  * Team upload

  [ Julian Gilbey ]
  * Add python3-markupsafe Build-Depends

  [ Carsten Schoenert ]
  * Upload to unstable
    Fixes CVE-2023-46136
    (Closes: #1054553, #1058244)


 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 09 Feb 2024 19:32:22 +0100

python-werkzeug (3.0.1-1) experimental; urgency=medium

  * Team upload
  * [b97bb12] d/gbp.conf: Add some basic defaults for git-buildpackage
  * [9ba65b6] d/watch: Update and move to version 4
  * [8e91a92] d/gbp.conf: Adjust to debian/experimental
  * [1d55463] d/copyright: Drop Files-Excluded, not needed any more
  * [cffc6d3] New upstream version 3.0.1
    Fixes CVE-2023-46136
    (Closes: #1054553, #1058244)
  * [80a2855] Rebuild patch queue drom patch-queue branch
    Added patches:
    docs-Use-intersphix-with-Debian-packages.patch
    Renamed patch:
    preserve-any-existing-PYTHONPATH-in-tests.patch
     -> tests-Preserve-any-existing-PYTHONPATH-in-tests.patch
    Dropped patches (included upstream):
    0003-don-t-strip-leading-when-parsing-cookie.patch
    0004-limit-the-maximum-number-of-multipart-form-parts.patch
    Dropped patch (not needed any more):
    remove-test_exclude_patterns-test.patch
  * [385989d] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [3e6cbd1] d/control: Update B-D as upstream has moved to flit
  * [80afaf5] d/control: Set nodoc build profile for python3-doc
  * [7468a1a] d/rules: Drop --with option in default target
  * [ca345a4] d/rules: Improve build of Sphinx based documentation
  * [ed1f0ae] d/rules: Remove file ICON_LICENSE.md in bin package
  * [98e1776] d/rules: Add removal of .mypy_cache to dh_clean
  * [9edc6e8] autopkgtest: Use more specific test dependencies
  * [2f48efc] d/copyright: Update content and copyright holders
  * [d3cbf83] d/u/metadata: Small updates
  * [daeb503] d/control: Reflect GitHub project website as Homepage
  * [e6c630c] d/python3-werkzeug.links: Remove sequencer, it's obsolet
  * [1db0b73] d/p-w-d.links: Remove linking to obsolet packages
  * [64bae1b] d/README.source: Adding a README file about source specifics
  * [774528e] d/salsa-ci.yml: Adding trigger file for Salsa CI

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 20 Dec 2023 19:22:33 +0100

python-werkzeug (2.2.2-3) unstable; urgency=medium

  [ Robin Gustafsson ]
  * Fix security vulnerabilities
    (CVE-2023-23934, CVE-2023-25577, Closes: #1031370)

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Apr 2023 13:37:22 +0200

python-werkzeug (2.2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Nov 2022 13:52:03 +0100

python-werkzeug (2.2.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 2.0.2+dfsg1-3.
  * Update standards version to 4.6.1, no changes needed.

  [ Thomas Goirand ]
  * d/watch: Do not use +dfsg1 extension, as the non-free files are gone from
    this new upstream release.
  * New upstream release.
  * Removed drop_ubuntu_font.patch not needed anymore.
  * Add python3-ephemeral-port-reserve as new build-depends, needed for tests.
  * Add remove-test_exclude_patterns-test.patch.
  * Add myself as uploader.
  * Fix autopkgtest to use builddeps rather than a list of packages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 11:13:28 +0200

python-werkzeug (2.0.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * [7cec7d2] remove cruft from build-deps; annotate with nodoc & nocheck as
    needed
  * [b9d355b] update autopkgtest to match build tests
  * [3b795fe] drop patch disabling sphinxcontrib.log_cabinet and add build-dep

 -- Joseph Nahmias <jello@debian.org>  Tue, 19 Jul 2022 00:09:48 -0400

python-werkzeug (2.0.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * [c775e23] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Sun, 17 Jul 2022 20:21:48 -0400

python-werkzeug (2.0.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream release 2.0.2
  * Remove upstreamed Python 3.10 patch
  * Get all tests working again

 -- Scott Talbert <swt@techie.net>  Thu, 11 Nov 2021 20:52:03 -0500

python-werkzeug (2.0.1+dfsg1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Team upload.
  * d/p/fix-python-3.10.patch: Fix builds for Python 3.10 (LP: #1950335)

 -- Scott Talbert <swt@techie.net>  Tue, 09 Nov 2021 22:17:06 -0500

python-werkzeug (2.0.1+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:15:08 +0200

python-werkzeug (2.0.1+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Apply multi-arch hints.
    + python-werkzeug-doc: Add Multi-Arch: foreign.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + python-werkzeug-doc: Drop versioned constraint on python-werkzeug in
      Replaces.
    + python-werkzeug-doc: Drop versioned constraint on python-werkzeug in
      Breaks.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Removed pytest-timeout.patch now useless.
  * Refreshed disable-sphinxcontrib-log_cabinet.patch.
  * Add python3-pytest-xprocess as build-depends.
  * Fix PYBUILD_TEST_ARGS.
  * Black list all failing tests, please help me to re-enable them.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Sep 2021 15:03:37 +0200

python-werkzeug (1.0.1+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jul 2020 09:40:21 +0200

python-werkzeug (1.0.1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Sync with unstable (Closes: #938261).
  * Bump upstream compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 22 May 2020 09:18:21 +0200

python-werkzeug (1.0.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Remove python{,3}-termcolor from depends.
  * Disable sphinxcontrib.log_cabinet extension.

 -- Ondřej Nový <onovy@debian.org>  Wed, 12 Feb 2020 17:42:37 +0100

python-werkzeug (0.16.1+dfsg1-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938261

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 10:10:50 -0400

python-werkzeug (0.16.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-pytest-timeout to B-D.
  * Workaround missing python-pytest-timeout for Python 2 tests.
  * Bump Standards-Version to 4.5.0 (no changes).
  * d/control: Add Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Thu, 30 Jan 2020 10:15:01 +0100

python-werkzeug (0.16.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Enable sphinx-issues extension.

 -- Ondřej Nový <onovy@debian.org>  Tue, 29 Oct 2019 06:18:26 +0100

python-werkzeug (0.15.6+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #940935, CVE-2019-14806)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * wrap-and-sort -ast
  * Drop upstream applied patches:
    - 0002-Use-local-copies-of-object.inv-for-building-document.patch
    - xprocess-skip.patch
  * Add python3-pallets-sphinx-themes to B-D
  * Skip test_windows_get_args_for_reloading test: It doesn't work
  * d/copyright:
    - Fix upstream licensing for new upstream release
    - Bump my copyright years
  * d/rules: Install docs inside override_dh_sphinxdoc and not
    override_dh_install
  * Bump Standards-Version to 4.4.1.
  * Disable sphinx-issues extension until python-sphinx-issues hits unstable.

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 17:32:04 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-werkzeug-doc`.
